libnl 3.5.0

Macros | Functions
Expectation
Netfilter Library (libnl-nf)

## Macros
#define | NFNLMSG_EXP_TYPE(type) NFNLMSG_TYPE(NFNL_SUBSYS_CTNETLINK_EXP, (type))

## Functions
int | nfnlmsg_exp_group (struct nlmsghdr *nlh)
int | nfnlmsg_exp_parse (struct nlmsghdr *nlh, struct nfnl_exp **result)
int | nfnl_exp_dump_request (struct nl_sock *sk)
| Send nfnl exp dump request. More...
int | nfnl_exp_build_add_request (const struct nfnl_exp *exp, int flags, struct nl_msg **result)
int | nfnl_exp_add (struct nl_sock *sk, const struct nfnl_exp *exp, int flags)
int | nfnl_exp_build_delete_request (const struct nfnl_exp *exp, int flags, struct nl_msg **result)
int | nfnl_exp_del (struct nl_sock *sk, const struct nfnl_exp *exp, int flags)
int | nfnl_exp_build_query_request (const struct nfnl_exp *exp, int flags, struct nl_msg **result)
int | nfnl_exp_query (struct nl_sock *sk, const struct nfnl_exp *exp, int flags)

## Cache Management
int | nfnl_exp_alloc_cache (struct nl_sock *sk, struct nl_cache **result)
| Build a expectation cache holding all expectations currently in the kernel. More...

## Detailed Description

## Function Documentation

## ◆ nfnl_exp_dump_request()

int nfnl_exp_dump_request | ( | struct nl_sock * | sk | ) |

Send nfnl exp dump request.

Parameters

  sk | Netlink socket.

Returns
  0 on success or a negative error code. Due to a bug, this function returns the number of bytes sent. Treat any non-negative number as success.

Definition at line 316 of file exp.c.

References nfnl_send_simple().

Here is the call graph for this function:

## ◆ nfnl_exp_alloc_cache()

int nfnl_exp_alloc_cache | ( | struct nl_sock * | sk,
|  | struct nl_cache ** | result
| ) |  |

Build a expectation cache holding all expectations currently in the kernel.

Parameters

  sk | Netlink socket.
  result | Pointer to store resulting cache.

Allocates a new cache, initializes it properly and updates it to contain all expectations currently in the kernel.

Returns
  0 on success or a negative error code.

Definition at line 583 of file exp.c.

References nl_cache_alloc_and_fill().

Here is the call graph for this function: